org.eclipse.jdt.junit

## Interface ITestRunListener

Deprecated.
As of 3.3, replaced by `TestRunListener`

    @Deprecated
    public interface ITestRunListener

A listener interface for observing the execution of a test run.

Clients contributing to the `org.eclipse.jdt.junit.testRunListener` extension point implement this interface.

Since:
  2.1

### Field Summary

Fields
`static int` `STATUS_ERROR` Deprecated. Status constant indicating that a test had an error an unanticipated exception (constant value 1).
`static int` `STATUS_FAILURE` Deprecated. Status constant indicating that a test failed an assertion (constant value 2).
`static int` `STATUS_OK` Deprecated. Status constant indicating that a test passed (constant value 0).

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `testEnded(String testId, String testName)` Deprecated. An individual test has ended.
`void` `testFailed(int status, String testId, String testName, String trace)` Deprecated. An individual test has failed with a stack trace.
`void` `testReran(String testId, String testClass, String testName, int status, String trace)` Deprecated. An individual test has been rerun.
`void` `testRunEnded(long elapsedTime)` Deprecated. A test run has ended.
`void` `testRunStarted(int testCount)` Deprecated. A test run has started.
`void` `testRunStopped(long elapsedTime)` Deprecated. A test run has been stopped prematurely.
`void` `testRunTerminated()` Deprecated. The VM instance performing the tests has terminated.
`void` `testStarted(String testId, String testName)` Deprecated. An individual test has started.

### Field Detail

#### STATUS_OK

    static final int STATUS_OK

Deprecated.
Status constant indicating that a test passed (constant value 0).

See Also:
  `testFailed(int, String, String, String)`, Constant Field Values

#### STATUS_ERROR

    static final int STATUS_ERROR

Deprecated.
Status constant indicating that a test had an error an unanticipated exception (constant value 1).

See Also:
  `testFailed(int, String, String, String)`, Constant Field Values

#### STATUS_FAILURE

    static final int STATUS_FAILURE

Deprecated.
Status constant indicating that a test failed an assertion (constant value 2).

See Also:
  `testFailed(int, String, String, String)`, Constant Field Values

### Method Detail

#### testRunStarted

    void testRunStarted(int testCount)

Deprecated.
A test run has started.

Parameters:
  `testCount` - the number of individual tests that will be run

#### testRunEnded

    void testRunEnded(long elapsedTime)

Deprecated.
A test run has ended.

Parameters:
  `elapsedTime` - the total elapsed time of the test run

#### testRunStopped

    void testRunStopped(long elapsedTime)

Deprecated.
A test run has been stopped prematurely.

Parameters:
  `elapsedTime` - the time elapsed before the test run was stopped

#### testStarted

    void testStarted(String testId,
                     String testName)

Deprecated.
An individual test has started.

Parameters:
  `testId` - a unique Id identifying the test
  `testName` - the name of the test that started

#### testEnded

    void testEnded(String testId,
                   String testName)

Deprecated.
An individual test has ended.

Parameters:
  `testId` - a unique Id identifying the test
  `testName` - the name of the test that ended

#### testFailed

    void testFailed(int status,
                    String testId,
                    String testName,
                    String trace)

Deprecated.
An individual test has failed with a stack trace.

Parameters:
  `status` - the outcome of the test; one of `STATUS_ERROR` or `STATUS_FAILURE`
  `testId` - a unique Id identifying the test
  `testName` - the name of the test that failed
  `trace` - the stack trace

#### testRunTerminated

    void testRunTerminated()

Deprecated.
The VM instance performing the tests has terminated.

#### testReran

    void testReran(String testId,
                   String testClass,
                   String testName,
                   int status,
                   String trace)

Deprecated.
An individual test has been rerun.

Parameters:
  `testId` - a unique Id identifying the test
  `testClass` - the name of the test class that was rerun
  `testName` - the name of the test that was rerun
  `status` - the outcome of the test that was rerun; one of `STATUS_OK`, `STATUS_ERROR`, or `STATUS_FAILURE`
  `trace` - the stack trace in the case of abnormal termination, or the empty string if none